Subject: Re: [1.8.0] make two-argument fetch update remote branches

From: A Large Angry SCM <[email-masked]>
Date: Tue, 01 Feb 2011 18:25:24 -0500

On 02/01/2011 05:39 PM, Thomas Rast wrote:
> A Large Angry SCM wrote:
>> On 01/31/2011 04:44 PM, Thomas Rast wrote:
>>>
>>> Since the remote branches in some sense reflect the "last known state"
>>> of the remote, it would make sense to also update them to whatever a
>>> two-argument fetch got.
>>
>> If this is proposing to break:
>>
>> 	get-fetch ${REPO} ${SRC_REF}:${DST_REF}
>>
>> then I am against this since that form _is_ used and *is* plumbing.
>
> You're mixing up the two proposals.  This one is to teach
>
>    git fetch repo foo
>
> to update refs/remotes/repo/foo with the new value (maybe we should
> also have it update in the foo:bar case, but I haven't thought that
> through).
>
> The other one is to forbid 'git pull repo foo:bar' and would not
> change git-fetch at all.
>

I'm not concerned about the pull proposal (I haven't really thought 
about it, yet) but I am concerned that your proposal may break (as in 
change the behavior of) the case I identified above.